#define VIDEO_POINTER 0xb8000 //Indirizzo della della memoria video (modalità testo colorato)
#define SCREEN_BYTE (80*25) //Byte totali della memoria video
#define COLOR 0x0700 //Grigio chiaro su sfondo nero

#include "Kvideo.h"

volatile unsigned int *videoMem = (volatile unsigned int *) VIDEO_POINTER;

void KvideoClean()
{
	unsigned int i = 0;
	//Ciclo che scrive spazi nella memoria video per cancellare tutto
	while(i < SCREEN_BYTE) 	{
		i++;
		videoMem[i] = COLOR | ' ';
	}
}

void KvideoWrite(char ch)
{
	//Scrive un carattere nella memoria video
	*videoMem = COLOR | ch;
}

void KvideoPrint(const char * string)
{
	//Itero la stringa e scrivo tutti i char nella memoria video
	while(*string != 0)
	{
		KvideoWrite(*string);
		string++;
	}
}
